> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/site-settings/url-redirection.md).

# URL Redirection

## Get

> Retrieve URL Redirection Settings.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/URLRedirectionSettings":{"get":{"tags":["2-Site settings//URL Redirection"],"summary":"Get","description":"Retrieve URL Redirection Settings.","operationId":"02ce4605-5d41-4486-b0b6-540d04cf2b0c","parameters":[{"name":"siteId","in":"query","description":"The Site ID for which to retrieve the URL RedirectionSettings. (optional)","schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/URLRedirectionSettings"}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"URLRedirectionSettings":{"type":"object","properties":{"siteId":{"type":"integer","description":"<para type=\"description\">The site ID to which the URL redirection settings refer to.</para>","format":"int32"},"defaultAction":{"$ref":"#/components/schemas/RedirectActionType"},"replicate":{"type":"boolean","description":"<para type=\"description\">Whether the 'Replicate Settings' option is enabled or not.</para>"},"urLs":{"type":"array","items":{"$ref":"#/components/schemas/URLRedirectEntry"},"description":"<para type=\"description\">The URL redirect list.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">URL Redirection Settings</para>\r\n<para type=\"description\"></para>"},"RedirectActionType":{"enum":[["0 = DoNotRedirect","1 = Redirect"]],"type":"string","description":"<para type=\"synopsis\">Redirect action type options</para>\r\n<para type=\"description\"></para>","format":"int32"},"URLRedirectEntry":{"type":"object","properties":{"id":{"type":"integer","description":"<para type=\"description\">ID of the object.</para>","format":"int32"},"priority":{"type":"integer","description":"<para type=\"description\">Priority of the object.</para>","format":"int32"},"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the url entry rule is enabled or not.</para>"},"url":{"type":"string","description":"<para type=\"description\">The URL pattern.</para>","nullable":true},"action":{"$ref":"#/components/schemas/RedirectActionType"}},"additionalProperties":false,"description":"<para type=\"synopsis\">URLRedirectEntry</para>\r\n<para type=\"description\"></para>"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Update

> Modify URL Redirection Settings.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/URLRedirectionSettings":{"put":{"tags":["2-Site settings//URL Redirection"],"summary":"Update","description":"Modify URL Redirection Settings.","operationId":"7562514e-f1b7-498d-8195-94d8d9d0f5e5","parameters":[{"name":"siteId","in":"query","description":"The Site ID for which to modify the URL Redirection Settings. (optional)","schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"URL Redirection Settings.","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/SetURLRedirectionSettings"}}}},"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"SetURLRedirectionSettings":{"type":"object","properties":{"defaultAction":{"$ref":"#/components/schemas/RedirectActionType"},"replicate":{"type":"boolean","description":"<para type=\"description\">Whether the 'Replicate Settings' option is enabled or not.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Update the URL redirection settings</para>\r\n<para type=\"description\"></para>"},"RedirectActionType":{"enum":[["0 = DoNotRedirect","1 = Redirect"]],"type":"string","description":"<para type=\"synopsis\">Redirect action type options</para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/site-settings/url-redirection.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
